package org.dive4elements.river.artifacts.math;

public final class NaNFunction
implements         Function
{
    public static final Function INSTANCE = new NaNFunction();

    private NaNFunction() {
    }

    @Override
    public double value(double x) {
        return Double.NaN;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
